ActiveMQTemporaryQueue (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQTemporaryQueue

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQDestination
  - - org.apache.activemq.artemis.jms.client.ActiveMQQueue
    - - org.apache.activemq.artemis.jms.client.ActiveMQTemporaryQueue

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.Queue, javax.jms.TemporaryQueue, Referenceable

      public class ActiveMQTemporaryQueue
      extends ActiveMQQueue
      implements javax.jms.TemporaryQueue

  ActiveMQ Artemis implementation of a JMS TemporaryQueue.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `JMS_QUEUE_ADDRESS_PREFIX, JMS_TEMP_QUEUE_ADDRESS_PREFIX, JMS_TEMP_TOPIC_ADDRESS_PREFIX, JMS_TOPIC_ADDRESS_PREFIX, name, QUEUE_QUALIFIED_PREFIX, QUEUE_TYPE, TEMP_MASK, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_QUEUE_TYPE, TEMP_TOPIC_QUALIFED_PREFIX, TEMP_TOPIC_TYPE, TOPIC_QUALIFIED_PREFIX, TOPIC_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQTemporaryQueue(String address, String name, ActiveMQSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQQueue

      `createAddressFromName, getQueueName`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `createDestination, createQueue, createQueueAddressFromName, createQueueNameForDurableSubscription, createQueueNameForSharedSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, equals, fromAddress, getAddress, getName, getReference, getSimpleAddress, hashCode, isQueue, isTemporary`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.TemporaryQueue

      `delete`

    - ### Methods inherited from interface javax.jms.Queue

      `getQueueName`

- - ### Constructor Detail

    - #### ActiveMQTemporaryQueue

          public ActiveMQTemporaryQueue(String address,
                                        String name,
                                        ActiveMQSession session)

      Parameters:
        `address` -
        `name` -
        `session` -

  - ### Method Detail

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `javax.jms.Queue`
      Overrides:
        `toString` in class `ActiveMQQueue`

Copyright © 2015. All rights reserved.